Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě nás čte: 2408 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum, poradna

NápovědaCAD diskuze, rady, výměna zkušeností

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

SMAZÁNÍ uživatelské IVLATNOSTI

 Odpovědět Odpovědět archiv
Autor
Lukáš Záruba Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 02.lis.2007
Lokalita: ČR (SČ)
Používám:
inventor 2015
Stav: Offline
Bodů: 387
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Lukáš Záruba Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: SMAZÁNÍ uživatelské IVLATNOSTI
    Zasláno: 28.led.2019 v 14:03
Zdravím,

Mám napsaný ilogic, který mi nejprve vytvoří a vyplní požadované parametry a pak i ivlatnosti. Potřeboval bych však na začátek tohoto pravidla napsat něco jako:

Smaž ivlastnost "prednazev"
         ivlastnost "prednazev2"
         .... 

Prostě potřebuji vymazat staré a již nepoužívané ivlastnosti.

Aktuální pravidlo je ve zkratce níže:
Dim part As PartDocument = ThisDoc.Document
Dim userParams = part.ComponentDefinition.Parameters.UserParameters
Dim p As Inventor.Parameter
Try
 p = userParams("R1")
Catch
 p = userParams.AddByValue("R1", 0, "mm")
End Try
p.Comment = "NADPIS - ROZM�R"

Try
 p = userParams("PR1")
Catch
 p = userParams.AddByValue("PR1", 0, "mm")
End Try
p.Comment = "POPIS - ROZM�R"


Dim propertyName As String = "N1"
Dim propertyValue As String = ""

customPropertySet = ThisDoc.Document.PropertySets.Item("Inventor User Defined Properties")
Try
      prop = customPropertySet.Item(propertyName)
Catch
      customPropertySet.Add("", propertyName)
End Try

Try
 prop = customPropertySet.Item("PR1")
Catch
 customPropertySet.Add(" ","PR1")
End Try

Try
 prop = customPropertySet.Item("PR1-M")
Catch
 customPropertySet.Add(" ","PR1-M")
End Try

Try
 prop = customPropertySet.Item("R1")
Catch
 customPropertySet.Add(" ","R1")
End Try

Try
 prop = customPropertySet.Item("R1-M")
Catch
 customPropertySet.Add(" ","R1-M")
End Try

End Try 
Budu rád za radu i případně všelijaké postřehy.
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 9080:VIPJak se nejrychleji zbavit proxy objektů v DWG výkresu?
Tip 7827:Jak v Revitu vymazat více materiálů najednou?
Tip 11292:Revit - Smazání všech podlaží z projektu.
Tip 1278:Proč nemohu vymazat prázdnou hladinu?
Tip 11594:Uživatelské přizpůsobení sloupců tabulky ohybů (iLogic)
Tip 1485:Jak odinstalovat AutoCAD?


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,250 sekund.